Orxonox: orxonox::BigExplosion Class Reference

# orxonox::BigExplosion Class Reference

`#include <src/orxonox/objects/worldentities/BigExplosion.h>`

Inheritance diagram for orxonox::BigExplosion:

List of all members.

## Public Member Functions

| BigExplosion (BaseObject *creator)
LODParticle::Value | getLOD () const
void | registerVariables ()
void | setLOD (LODParticle::Value level)
virtual void | tick (float dt)
| Gets called every frame.
virtual | ~BigExplosion ()

## Private Member Functions

void | checkStop ()
void | destroy ()
void | init ()
void | initZero ()
void | LODchanged ()
void | stop ()

## Private Attributes

bool | bStop_
unsigned int | cps_
Model * | debris1_
Model * | debris2_
Model * | debris3_
Model * | debris4_
MovableEntity * | debrisEntity1_
MovableEntity * | debrisEntity2_
MovableEntity * | debrisEntity3_
MovableEntity * | debrisEntity4_
ParticleInterface * | debrisFire1_
ParticleInterface * | debrisFire2_
ParticleInterface * | debrisFire3_
ParticleInterface * | debrisFire4_
ParticleInterface * | debrisSmoke1_
ParticleInterface * | debrisSmoke2_
ParticleInterface * | debrisSmoke3_
ParticleInterface * | debrisSmoke4_
Timer< BigExplosion > | destroyTimer_
StaticEntity * | explosion_
ParticleInterface * | explosionFire_
ParticleInterface * | explosionSmoke_
bool | firstTick_
LODParticle::Value | LOD_
std::string | stf_
double | timeFactor_

## Constructor & Destructor Documentation

orxonox::BigExplosion::BigExplosion | ( | BaseObject * | creator | ) |

References bStop_, COUT, orxonox::createExecutor(), destroyTimer_, orxonox::BaseObject::getScene(), init(), initZero(), orxonox::GameMode::isMaster(), LOD_, orxonox::LODParticle::Normal, RegisterObject, registerVariables(), orxonox::rnd(), orxonox::MobileEntity::setVelocity(), orxonox::GameMode::showsGraphics(), stop(), ThrowException, and orxonox::MT_Type::Vector3.

orxonox::BigExplosion::~BigExplosion | ( |  | ) | `[virtual]`

References debris1_, debris2_, debris3_, debris4_, debrisFire1_, debrisFire2_, debrisFire3_, debrisFire4_, debrisSmoke1_, debrisSmoke2_, debrisSmoke3_, debrisSmoke4_, orxonox::WorldEntity::detachOgreObject(), orxonox::CommandExecutor::execute(), orxonox::ParticleInterface::getParticleSystem(), and orxonox::BaseObject::isInitialized().

## Member Function Documentation

void orxonox::BigExplosion::checkStop | ( |  | ) | `[private]`

References bStop_, and stop().

Referenced by registerVariables().

void orxonox::BigExplosion::destroy | ( |  | ) | `[private]`

Referenced by stop().

LODParticle::Value orxonox::BigExplosion::getLOD | ( |  | ) | const`[inline]`

void orxonox::BigExplosion::init | ( |  | ) | `[private]`

References orxonox::WorldEntity::attach(), orxonox::WorldEntity::attachOgreObject(), Class, debris1_, debris2_, debris3_, debris4_, debrisEntity1_, debrisEntity2_, debrisEntity3_, debrisEntity4_, debrisFire1_, debrisFire2_, debrisFire3_, debrisFire4_, debrisSmoke1_, debrisSmoke2_, debrisSmoke3_, debrisSmoke4_, orxonox::MT_Type::Degree, explosion_, orxonox::Identifier::fabricate(), orxonox::BaseObject::getCreator(), orxonox::ParticleInterface::getParticleSystem(), orxonox::BaseObject::getScene(), LOD_, orxonox::rnd(), orxonox::MobileEntity::setAngularVelocity(), orxonox::ParticleSpawner::setDestroyAfterLife(), orxonox::ParticleSpawner::setLifetime(), orxonox::Model::setMeshSource(), orxonox::WorldEntity::setScale(), orxonox::ParticleEmitter::setSource(), orxonox::MobileEntity::setVelocity(), and orxonox::MT_Type::Vector3.

Referenced by BigExplosion().

void orxonox::BigExplosion::initZero | ( |  | ) | `[private]`

References debrisFire1_, debrisFire2_, debrisFire3_, debrisFire4_, debrisSmoke1_, debrisSmoke2_, debrisSmoke3_, debrisSmoke4_, explosionFire_, and explosionSmoke_.

Referenced by BigExplosion().

void orxonox::BigExplosion::LODchanged | ( |  | ) | `[private]`

References debrisFire1_, debrisFire2_, debrisFire3_, debrisFire4_, debrisSmoke1_, debrisSmoke2_, debrisSmoke3_, debrisSmoke4_, LOD_, and orxonox::ParticleInterface::setDetailLevel().

Referenced by registerVariables().

void orxonox::BigExplosion::registerVariables | ( |  | ) |

Reimplemented from orxonox::MovableEntity.

References bStop_, checkStop(), LOD_, LODchanged(), orxonox::Synchronisable::registerVariable(), and orxonox::VariableDirection::ToClient.

Referenced by BigExplosion().

void orxonox::BigExplosion::setLOD | ( | LODParticle::Value | level | ) | `[inline]`

void orxonox::BigExplosion::stop | ( |  | ) | `[private]`

References bStop_, orxonox::createExecutor(), debrisFire1_, debrisFire2_, debrisFire3_, debrisFire4_, debrisSmoke1_, debrisSmoke2_, debrisSmoke3_, debrisSmoke4_, destroy(), destroyTimer_, orxonox::GameMode::isMaster(), and orxonox::ParticleInterface::setEnabled().

Referenced by BigExplosion(), and checkStop().

void orxonox::BigExplosion::tick | ( | float | dt | ) | `[virtual]`

Gets called every frame.

Parameters:

  | dt | The time since the last frame in seconds

Reimplemented from orxonox::MobileEntity.

References SUPER.

## Member Data Documentation

bool orxonox::BigExplosion::bStop_`[private]`

Referenced by BigExplosion(), checkStop(), registerVariables(), and stop().

unsigned int orxonox::BigExplosion::cps_`[private]`

Model* orxonox::BigExplosion::debris1_`[private]`

Referenced by init(), and ~BigExplosion().

Model* orxonox::BigExplosion::debris2_`[private]`

Referenced by init(), and ~BigExplosion().

Model* orxonox::BigExplosion::debris3_`[private]`

Referenced by init(), and ~BigExplosion().

Model* orxonox::BigExplosion::debris4_`[private]`

Referenced by init(), and ~BigExplosion().

MovableEntity* orxonox::BigExplosion::debrisEntity1_`[private]`

Referenced by init().

MovableEntity* orxonox::BigExplosion::debrisEntity2_`[private]`

Referenced by init().

MovableEntity* orxonox::BigExplosion::debrisEntity3_`[private]`

Referenced by init().

MovableEntity* orxonox::BigExplosion::debrisEntity4_`[private]`

Referenced by init().

ParticleInterface* orxonox::BigExplosion::debrisFire1_`[private]`

Referenced by init(), initZero(), LODchanged(), stop(), and ~BigExplosion().

ParticleInterface* orxonox::BigExplosion::debrisFire2_`[private]`

Referenced by init(), initZero(), LODchanged(), stop(), and ~BigExplosion().

ParticleInterface* orxonox::BigExplosion::debrisFire3_`[private]`

Referenced by init(), initZero(), LODchanged(), stop(), and ~BigExplosion().

ParticleInterface* orxonox::BigExplosion::debrisFire4_`[private]`

Referenced by init(), initZero(), LODchanged(), stop(), and ~BigExplosion().

ParticleInterface* orxonox::BigExplosion::debrisSmoke1_`[private]`

Referenced by init(), initZero(), LODchanged(), stop(), and ~BigExplosion().

ParticleInterface* orxonox::BigExplosion::debrisSmoke2_`[private]`

Referenced by init(), initZero(), LODchanged(), stop(), and ~BigExplosion().

ParticleInterface* orxonox::BigExplosion::debrisSmoke3_`[private]`

Referenced by init(), initZero(), LODchanged(), stop(), and ~BigExplosion().

ParticleInterface* orxonox::BigExplosion::debrisSmoke4_`[private]`

Referenced by init(), initZero(), LODchanged(), stop(), and ~BigExplosion().

Timer<BigExplosion> orxonox::BigExplosion::destroyTimer_`[private]`

Referenced by BigExplosion(), and stop().

StaticEntity* orxonox::BigExplosion::explosion_`[private]`

Referenced by init().

ParticleInterface* orxonox::BigExplosion::explosionFire_`[private]`

Referenced by initZero().

ParticleInterface* orxonox::BigExplosion::explosionSmoke_`[private]`

Referenced by initZero().

bool orxonox::BigExplosion::firstTick_`[private]`

LODParticle::Value orxonox::BigExplosion::LOD_`[private]`

Referenced by BigExplosion(), init(), LODchanged(), and registerVariables().

std::string orxonox::BigExplosion::stf_`[private]`

double orxonox::BigExplosion::timeFactor_`[private]`

The documentation for this class was generated from the following files:

- src/orxonox/objects/worldentities/BigExplosion.h
- src/orxonox/objects/worldentities/BigExplosion.cc